package com.ss.android.ugc.aweme.compliance.privacy.settings.video.items.download;

import X.C460241a;
import X.PgU;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.base.api.BaseResponse;
import com.ss.android.ugc.aweme.compliance.privacy.settings.video.base.BaseVideoPrivacySettingViewModel;
import com.ss.android.ugc.aweme.feed.model.VideoControl;

public final class VideoDownloadViewModel extends BaseVideoPrivacySettingViewModel {
    static {
        Covode.recordClassIndex(61905);
    }

    public final int LIZIZ() {
        VideoControl videoControl = LIZ().getVideoControl();
        if (videoControl != null) {
            return videoControl.preventDownloadType;
        }
        return 3;
    }

    public final void LIZLLL(int i) {
        VideoControl videoControl = LIZ().getVideoControl();
        if (videoControl != null) {
            videoControl.preventDownloadType = i;
        }
    }

    public final PgU<BaseResponse> LIZ(int i) {
        C460241a r1 = C460241a.LIZ;
        return r1.LIZ().setPrivacyUserSettings("item_download", i, LIZ().getAid());
    }
}
